libvorbis documentation | libvorbis version 1.3.2 - 20101101

# vorbis_comment_add_tag

declared in "vorbis/codec.h";

This function adds a tag-comment pair to a vorbis_comment structure. There can be more than one comment value for the same tag; if a comment with the same tag already exists, another comment with the same tag is added.

If you already have a string in the form "KEY=value", see vorbis_comment_add instead.

    extern void     vorbis_comment_add_tag(vorbis_comment *vc,
                                           const char *tag, const char *contents);

### Parameters

vc
  Pointer to a vorbis_comment structure to add the comment to.
tag
  Pointer to the null-terminated tag string. The string will be copied, so it can be freed or modified after this function returns without affecting the vorbis_comment structure's contents.
contents
  Pointer to the null-terminated comment contents string. This will also be copied.

### Return Values

> - None.

copyright © 2010 Xiph.Org | Ogg Vorbis
libvorbis documentation | libvorbis version 1.3.2 - 20101101